Support » Plugin: WP Code Highlight » This plugin does not support PHP7

Viewing 1 replies (of 1 total)
  • in file wp-code-higlight.php on line 67 just remove function preg_replace… with this:

    return preg_replace_callback('/<pre(.*?)>(.*?)<\/pre>/is',
                    function ($m) {
                            return  "<pre class=\"wp-code-highlight prettyprint$line_numbers\">".$m[2].'</pre>';
                    }, $content);

    Problem is that wp-code-higlight is using /e modifier for regular expression which is not longer supported in PHP 7.

Viewing 1 replies (of 1 total)
  • The topic ‘This plugin does not support PHP7’ is closed to new replies.